package online.wesal.wesal.dto;

import jakarta.validation.constraints.Size;
import java.util.List;

public class UpdateUserRequest {
    
    private String fcmToken;
    
    private String displayName;
    
    private String avatar;
    
    private String username;
    
    @Size(min = 6, message = "Password must be at least 8 characters long")
    private String password;
    
    private List<String> subscriptions;
    
    public UpdateUserRequest() {}
    
    public String getFcmToken() {
        return fcmToken;
    }
    
    public void setFcmToken(String fcmToken) {
        this.fcmToken = fcmToken;
    }
    
    public String getDisplayName() {
        return displayName;
    }
    
    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }
    
    public String getAvatar() {
        return avatar;
    }
    
    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
    
    public String getPassword() {
        return password;
    }
    
    public void setPassword(String password) {
        this.password = password;
    }
    
    public String getUsername() {
        return username;
    }
    
    public void setUsername(String username) {
        this.username = username;
    }
    
    public List<String> getSubscriptions() {
        return subscriptions;
    }
    
    public void setSubscriptions(List<String> subscriptions) {
        this.subscriptions = subscriptions;
    }
}